Bug 968967 - [RFE] [Log-Collector] - Summary of logs and Locations
[RFE] [Log-Collector] - Summary of logs and Locations
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity low
: ---
: 3.6.0
Assigned To: Simone Tiraboschi
Pavel Stehlik
integration
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 07:37 EDT by David Botzer
Modified: 2016-02-21 23:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: rhevm-log-collector Reason: Locations & Summary Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-28 08:47:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2013-05-30 07:37:31 EDT
Description of problem:
RFE - Summary of logs and Locations for rhevm-log-collector

Version-Release number of selected component (if applicable):
3.2/sf17.3

How reproducible:
always

Steps to Reproduce:
1.Install rhevm
2.Run rhevm-log-collector collect
3.Extract the archive file

Actual results:
Lots of files, need to be expert to understand what & where to look
Also new changes can the leave the User puzzled
e.x the hosts archive is kept in different folder "log-collector-data/"

Expected results:
should display in "Red_Hat_Enterprise_Virtualization-X.x-Administration_Guide.."
Summary of logs and Locations for rhevm-log-collector
e.x:
/tmp/rhevm-name --> RHEVM Data
/tmp/log-collector-data --> Hosts & Postgres
../../var/log --> Logs file for each entity

Additional info:
Allow a Summary Folder or File to give general info on the System/Setup
e.x:
/tmp/rhevm-name/Summary.txt
   rhevm OS, Devices, Network Statistical Trends (cpu, mem io)
   Hosts OS same as above
   If possible to get a summary on the Domains, Storage, VMs and Users
Comment 1 Sandro Bonazzola 2013-08-23 04:55:10 EDT
(In reply to David Botzer from comment #0)
> Additional info:
> Allow a Summary Folder or File to give general info on the System/Setup
> e.x:
> /tmp/rhevm-name/Summary.txt
>    rhevm OS, Devices, Network Statistical Trends (cpu, mem io)
>    Hosts OS same as above
>    If possible to get a summary on the Domains, Storage, VMs and Users

I think that this part may be done in a separate bug. Those info are not related to logs locations and should be collected optionally. I think that a --stats flag or something like that should be created for enabling the feature.
Comment 2 David Botzer 2013-08-25 03:53:52 EDT
Hi,
Your suggestion is correct,
Should I open the second rfe ?
David,
Comment 4 Doron Fediuck 2014-10-28 08:47:39 EDT
Closing old RFEs.
If needed please reopen with the use case.
Comment 5 Lucy Bopf 2016-02-21 23:42:08 EST
Moving 'requires_doc_text' to '-'.
Also moving 'oVirt Team' to 'Integration' to allow my changes to save.

Note You need to log in before you can comment on or make changes to this bug.